Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039355
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] Advance Warehouse Operationsmajoralways2018-09-26 18:332018-12-11 20:22
ReporterngarciaView Statuspublic 
Assigned Tononofrancisco 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisioncd8309678ebc
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned ToSandrahuguet
Regression introduced in release
Summary

0039355: Cannot Issue a partial sales order line if there is a reservation related with the line but with different attribute set value

DescriptionCannot Issue a partial sales order line if there is a reservation related with the line but with different attribute set value
Steps To ReproduceUsing AWO Sampledata:

Create a new product
Set an Attribute Set to it
Add a sales price list to it

Create a Sales Order for US West
Add 30 units of the previously created product

Create a Physical Inventory Proposal For US West and US West Warehouse
Add 10 units of the product in Food3 storage bin
Set an attribute set value
Process and Create Tasks
Confirm the task

Return to the sales order line and Pick
Confirm the task

Check 10 units of the products have been reserved

Create a Physical Inventory Proposal For US West and US West Warehouse
Open the product selector and select the previously created product line without attribute set
Add 20 units of the product in Food3 storage bin
Set an attribute set value different from the one above
Process and Create Tasks
Confirm the task

Go to Warehouse Operations window and Move the 20 units from Food3 to SHP301 (the storage bin the other 10 units are in)

Return to the sales order line and Issue
Check two tasks have been created: one of 10 units related with a reservation and one of 20 units without reservation
Try to confirm the one without reservation and check the following error message is shown:

Cannot modify allocated reservation of Product: <>, Attribute Set Instance: <<, UOM: <> and Storage Bin: <>
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0107078)
nonofrancisco (developer)
2018-09-28 19:50

Test Plan:

Logged as AWO-QA Admin

Create a new product
Set an Attribute Set to it
Add a sales price list to it

Create a Sales Order for US West
Add 30 units of the previously created product

Create a Physical Inventory Proposal For US West and US West Warehouse
Add 10 units of the product in Food3 storage bin
Set an attribute set value
Process and Create Tasks
Confirm the task

Return to the sales order line and Pick
Confirm the task

Check 10 units of the products have been reserved

Create a Physical Inventory Proposal For US West and US West Warehouse
Open the product selector and select the previously created product line without attribute set
Add 20 units of the product in Food3 storage bin
Set an attribute set value different from the one above
Process and Create Tasks
Confirm the task

Go to Warehouse Operations window and Move the 20 units from Food3 to SHP301 (the storage bin the other 10 units are in)

Return to the sales order line and Issue
Check two tasks have been created: one of 10 units related with a reservation and one of 20 units without reservation
Confirm both tasks
Verify both task were successfully confirmed
(0107236)
hgbot (developer)
2018-10-11 08:58

Repository: erp/devel/pi
Changeset: cd8309678ebc5b85377d94c87d667b799fe223bf
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Thu Oct 11 08:57:47 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/cd8309678ebc5b85377d94c87d667b799fe223bf [^]

Fixes issue 39355: Issue a partial sales order line if there is a reservation

* Checks the reservation exists before reallocate it if it does not have enough
  stock reserved.

---
M src-db/database/model/functions/M_RESERVATION_CONSUMPTION.xml
---
(0107237)
Sandrahuguet (developer)
2018-10-11 08:59

Code review + testing OK
(0108423)
hudsonbot (developer)
2018-12-11 20:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/470e3cd384c5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-09-26 18:33 ngarcia New Issue
2018-09-26 18:33 ngarcia Assigned To => Triage Finance
2018-09-26 18:33 ngarcia Issue Monitored: networkb
2018-09-26 18:41 ngarcia Issue cloned 0039356
2018-09-26 19:05 vmromanos Assigned To Triage Finance => nonofrancisco
2018-09-27 11:23 martinsdan Issue Monitored: martinsdan
2018-09-28 08:49 vmromanos Status new => scheduled
2018-09-28 19:50 nonofrancisco Note Added: 0107078
2018-10-11 08:58 hgbot Checkin
2018-10-11 08:58 hgbot Note Added: 0107236
2018-10-11 08:58 hgbot Status scheduled => resolved
2018-10-11 08:58 hgbot Resolution open => fixed
2018-10-11 08:58 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/cd8309678ebc5b85377d94c87d667b799fe223bf [^]
2018-10-11 08:59 Sandrahuguet Review Assigned To => Sandrahuguet
2018-10-11 08:59 Sandrahuguet Note Added: 0107237
2018-10-11 08:59 Sandrahuguet Status resolved => closed
2018-12-11 20:22 hudsonbot Checkin
2018-12-11 20:22 hudsonbot Note Added: 0108423


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker